#
# spec file for package perl-Starlet
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Starlet
Version:        0.31
Release:        3.1
%define cpan_name Starlet
Summary:        Simple, High-Performance Psgi/Plack Http Server
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Starlet/
Source0:        http://www.cpan.org/authors/id/K/KA/KAZUHO/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(LWP::UserAgent) >= 5.8
BuildRequires:  perl(Module::Install)
BuildRequires:  perl(Parallel::Prefork) >= 0.17
BuildRequires:  perl(Plack) >= 0.992
BuildRequires:  perl(Server::Starter) >= 0.06
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::TCP) >= 2.1
Requires:       perl(Parallel::Prefork) >= 0.17
Requires:       perl(Plack) >= 0.992
Requires:       perl(Server::Starter) >= 0.06
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  perl(Class::Accessor::Lite)
BuildRequires:  perl(List::MoreUtils)
# MANUAL END

%description
Starlet is a standalone HTTP/1.1 web server, formerly known as
Plack::Server::Standalone::Prefork and
Plack::Server::Standalone::Prefork::Server::Starter.

The server supports following features, and is suitable for running HTTP
application servers behind a reverse proxy.

- prefork and graceful shutdown using Parallel::Prefork

- hot deploy using Server::Starter

- fast HTTP processing using HTTP::Parser::XS (optional)

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sun Oct  7 2018 opensuse@dstoecker.de
- Fix build
* Tue Dec 13 2016 coolo@suse.com
- updated to 0.31
  see /usr/share/doc/packages/perl-Starlet/Changes
  0.31
  - send 100-continue immediately #25 (Gregory Oschwald)
  - expose new callback for sending informational responses #29 (Kazuho Oku)
* Sun Jun 12 2016 coolo@suse.com
- updated to 0.30
  see /usr/share/doc/packages/perl-Starlet/Changes
  0.30
  - add child_exit hook #26 (by azrle)
* Tue Mar  8 2016 coolo@suse.com
- updated to 0.29
  see /usr/share/doc/packages/perl-Starlet/Changes
  0.29
  - fix workers being killed too aggressively when spawn-interval is used #27 (by limitusus)
* Fri Nov  6 2015 coolo@suse.com
- updated to 0.28
  see /usr/share/doc/packages/perl-Starlet/Changes
  0.28
  - always shutdown after SIGTERM, but only after notifying the client (via connection: close or equiv.) #23
* Sat Oct 24 2015 coolo@suse.com
- updated to 0.26
  see /usr/share/doc/packages/perl-Starlet/Changes
  0.26
  - fix abrupt connection close when receiving SIGTERM #21 (by shogo82148)
* Tue Jul  7 2015 coolo@suse.com
- updated to 0.25
  see /usr/share/doc/packages/perl-Starlet/Changes
  0.25
  - support listing to unix socket wo. using Server::Starter
  - suppress warning when receiving broken requests
  - fix test issue with Plack >= 1.0035
* Sun Apr 19 2015 coolo@suse.com
- updated to 0.24
  see /usr/share/doc/packages/perl-Starlet/Changes
  0.24
  - worker processes always receive different sequence of values when calling "rand()"
  0.23
  - serialize calls to select -> accept when listening to multiple ports
  0.22
  - listen to multiple ports passed from Server::Starter (ttakezawa)
  0.21
  - support listening to unix socket (passed by Server::Starter) (kazeburo)
  0.20
  - support HTTP/1.1 (kazeburo)
  0.19
  - update the dependencies now that Plack no more depends on LWP (miyagawa; https://github.com/plack/Plack/pull/408)
  - add support for psgix.harakiri (audreyt)
  0.18
  - change threshold for combining headers and body from 1024 bytes to 8192
  0.17_01
  - reduce rt_sig* syscalls (kazeburo)
  0.16
  - Set REMOTE_PORT environment variable (kazeburo)
  0.15
  - unbundle Plack::Standalone::Server::Prefork::Server::Starter (see `perldoc Starlet` to find out how to boot Starlet using Server::Starter)
* Mon Oct 31 2011 pascal.bleser@opensuse.org
- update to 0.14:
  * support for randomized reqs-per-child
  * support for slow restart
  * do not send Server header more than once per every response
* Tue Aug  2 2011 them4z@googlemail.com
- recreated 0.13 with cpanspec 1.78.05
* Sun May 22 2011 them4z@googlemail.com
- initial package 0.13
  * created by cpanspec 1.78.04
